org.eclipse.actf.util.dom

## Class NodeIteratorImpl

- java.lang.Object
- - org.eclipse.actf.util.dom.NodeIteratorImpl

All Implemented Interfaces:
  org.w3c.dom.traversal.NodeIterator

    public class NodeIteratorImpl
    extends Object
    implements org.w3c.dom.traversal.NodeIterator

Implementation class of NodeIterator

### Constructor Summary

Constructors
Constructor and Description
`NodeIteratorImpl(Node root, int whatToShow, org.w3c.dom.traversal.NodeFilter filter, boolean entityReferenceExpansion)` Constructor of NodeIterator

### Method Summary

Methods
`void` `detach()`
`boolean` `getExpandEntityReferences()`
`org.w3c.dom.traversal.NodeFilter` `getFilter()`
`Node` `getRoot()`
`int` `getWhatToShow()`
`Node` `nextNode()`
`void` `prepareNodeRemove(Node target)` Call this method before remove Node from target document
`Node` `previousNode()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeIteratorImpl

    public NodeIteratorImpl(Node root,
                    int whatToShow,
                    org.w3c.dom.traversal.NodeFilter filter,
                    boolean entityReferenceExpansion)
                     throws DOMException

Constructor of NodeIterator

Parameters:
  `root` - the root node of the NodeIterator
  `whatToShow` - the attribute that determines which types of node are presented. The values are defined in the NodeFilter interface.
  `filter` - the NodeFilter used to screen nodes
  `entityReferenceExpansion` - the flag to determine whether the children of entity reference nodes are visible to TreeWalker.
Throws:
  `DOMException`

### Method Detail

#### detach

    public void detach()

Specified by:
  `detach` in interface `org.w3c.dom.traversal.NodeIterator`

#### getExpandEntityReferences

    public boolean getExpandEntityReferences()

Specified by:
  `getExpandEntityReferences` in interface `org.w3c.dom.traversal.NodeIterator`

#### getFilter

    public org.w3c.dom.traversal.NodeFilter getFilter()

Specified by:
  `getFilter` in interface `org.w3c.dom.traversal.NodeIterator`

#### getRoot

    public Node getRoot()

Specified by:
  `getRoot` in interface `org.w3c.dom.traversal.NodeIterator`

#### getWhatToShow

    public int getWhatToShow()

Specified by:
  `getWhatToShow` in interface `org.w3c.dom.traversal.NodeIterator`

#### nextNode

    public Node nextNode()
                  throws DOMException

Specified by:
  `nextNode` in interface `org.w3c.dom.traversal.NodeIterator`
Throws:
  `DOMException`

#### previousNode

    public Node previousNode()
                      throws DOMException

Specified by:
  `previousNode` in interface `org.w3c.dom.traversal.NodeIterator`
Throws:
  `DOMException`

#### prepareNodeRemove

    public void prepareNodeRemove(Node target)

Call this method before remove Node from target document

Parameters:
  `target` - the target Node to be removed